Compare numbers

- « gmp_clrbit

- gmp_com »

- PHP Manual
- GMP Functions
- Compare numbers

# gmp_cmp

(PHP 4 >= 4.0.4, PHP 5, PHP 7, PHP 8)

gmp_cmp — Compare numbers

### Description

gmp_cmp(GMP|int|string `$num1`, GMP|int|string `$num2`): int

Compares two numbers.

### Parameters

`num1`

  A GMP object, an int or a numeric string.

`num2`

  A GMP object, an int or a numeric string.

### Return Values

Returns a positive value if `a > b`, zero if `a = b` and a negative value if `a < b`.

### Examples

Example #1 gmp_cmp() example

    <?php$cmp1 = gmp_cmp("1234", "1000"); // greater than$cmp2 = gmp_cmp("1000", "1234"); // less than$cmp3 = gmp_cmp("1234", "1234"); // equal toecho "$cmp1 $cmp2 $cmp3\n";?>

The above example will output:

    1 -1 0